local _addon = WYK_Toolbar

_addon.Feature.Toolbar.GetSpecialWorldXPBar = function()
	if GetNumSkillLines( SKILL_TYPE_WORLD ) == 1 then return 0, _addon._DefaultLabelColor .. "Human:|r ", 1; end
	local name, rank = GetSkillLineInfo( SKILL_TYPE_WORLD, 2 )
	local oldxp, xplvl, xp = GetSkillLineXPInfo( SKILL_TYPE_WORLD, 2 )
	if xp == nil or xplvl == nil or oldxp == nil then return 0, _addon._DefaultLabelColor .. "Human:|r ", 1; end
	xp = xp - oldxp
	xplvl = xplvl - oldxp
	local title = _addon._DefaultLabelColor .. name .. ":|r "
	if tonumber(xplvl) == 0 then return 1, title, rank; end
	return _addon:Round((xp / xplvl),2), title, rank;
end
